
#ifndef SERV_UDP_H
#define SERV_UDP_H 1

#include <config.h>

extern int udp_sock_open(int mcast, struct sockaddr *);
extern int udp_packet_read(int sockfd, struct udp_packet *udp_pkt);

extern int udp_open_sockets(char ** ifstr, int * sockets );
extern int udp_send_dnsmsg(int, dns_t * );

void udp_copy_answer_address(dns_t * answer, struct udp_packet * udp_pkt);

char * udp_sockaddr_str( struct sockaddr * addr );
char * udp_answerdst2str(dns_t * answer);
char * udp_pktsrc2str(struct udp_packet * udp_pkt);

#endif /*SERV_UDP_H*/

