

#ifndef INFO_H
#define INFO_H 1

#include "llist.h"

typedef struct {
  char       * dname;
  short        type;
  dns_rr     * data;  /* pointer to the resource record */
  ll_entry_t * el;    /* where to continue the search   */
} search_state;

void info_init();
void info_destroy();

void info_init_search( search_state * state, char * query, int type );

int  info_search( search_state * state );

int info_conflict_cb ( 
              dns_sect section,
              char * domain,
              int type, int class, long ttl,
              int rr_len ,u_char * rr_data,
              void * user_data );


#endif

